## org.jfree.report.modules.factories.report.flow
Class FlowOperationReadHandler

    java.lang.Object
      org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
          org.jfree.report.modules.factories.report.flow.FlowOperationReadHandler

All Implemented Interfaces:
  org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

    public class FlowOperationReadHandler

extends org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

Creation-Date: 09.04.2006, 14:47:59

Author:
  Thomas Morgner

Constructor Summary
`FlowOperationReadHandler()`

Method Summary
`java.lang.Object` `getObject()` Returns the object for this element or null, if this element does not create an object.
`FlowControlOperation` `getOperation()`
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Starts parsing.

Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
`characters, deriveParseParameters, doneParsing, endElement, getHandlerForChild, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowOperationReadHandler

    public FlowOperationReadHandler()

Method Detail

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  Starts parsing.

  Overrides:
    `startParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### getOperation

    public FlowControlOperation getOperation()

### getObject

    public java.lang.Object getObject()
                               throws org.xml.sax.SAXException

  Returns the object for this element or null, if this element does not create an object.

  Returns:
    the object.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.